Last Comment Bug 258779 - libnss3 on Solaris needs additional rpath to /usr/lib/mps
: libnss3 on Solaris needs additional rpath to /usr/lib/mps
Status: RESOLVED FIXED
:
Product: NSS
Classification: Components
Component: Libraries (show other bugs)
: 3.9.2
: Sun SunOS
: P1 normal (vote)
: 3.9.3
Assigned To: Saul Edwards
: Bishakha Banerjee
:
Mentors:
Depends on:
Blocks: 285237
  Show dependency treegraph
 
Reported: 2004-09-10 12:12 PDT by Julien Pierre
Modified: 2006-10-25 19:48 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
rpaths are consolidated (778 bytes, patch)
2004-09-16 18:14 PDT, Saul Edwards
julien.pierre: review+
Details | Diff | Splinter Review
Final patch, checked in (777 bytes, patch)
2004-09-17 15:34 PDT, Saul Edwards
no flags Details | Diff | Splinter Review

Description Julien Pierre 2004-09-10 12:12:06 PDT
In suid applications, $ORIGIN or LD_LIBRARY_PATH do not get resolved.
In order for libnss3.so to find its libsoftoken3.so dependency, a fully
qualified path needs to be added to the rpath of libnss3 .
Comment 1 Julien Pierre 2004-09-10 12:20:05 PDT
This will be a sun-specific setting (ifdef BUILD_SUN_PKG). We need the fix ASAP.
Comment 2 Saul Edwards 2004-09-16 18:14:10 PDT
Created attachment 159148 [details] [diff] [review]
rpaths are consolidated

Tested the libraries to make sure that all options worked and resulted in the
correct RPATHs.
Comment 3 Wan-Teh Chang 2004-09-17 11:49:41 PDT
Comment on attachment 159148 [details] [diff] [review]
rpaths are consolidated

Saul, I have the same suggested change for this
patch.	Could you adjust this patch to use ifeq
instead of ifneq with BUILD_SUN_PKG?  It is easier
for me to understand that way.	Thanks.
Comment 4 Saul Edwards 2004-09-17 15:34:47 PDT
Created attachment 159260 [details] [diff] [review]
Final patch, checked in

Checked in:
Tip:
Checking in config.mk;
/cvsroot/mozilla/security/nss/lib/nss/config.mk,v  <--	config.mk
new revision: 1.24; previous revision: 1.23
done

3.9:
Checking in config.mk;
/cvsroot/mozilla/security/nss/lib/nss/config.mk,v  <--	config.mk
new revision: 1.21.16.2; previous revision: 1.21.16.1
done

Note You need to log in before you can comment on or make changes to this bug.